
/* -------- Generated by ./configure ----------- */

#define USE_OSD
#define USE_SUB

#undef MP_DEBUG

#undef USE_DVDREAD

/* Common data directory (for fonts, etc) */
#define DATADIR "/usr/local/share/mplayer"

/* Define for using new DivX4Linux library, instead of open-source OpenDivX */
/* You have to change DECORE_LIBS in config.mak too! */
#define NEW_DECORE

/* Define this to enable avg. byte/sec-based AVI sync method by default:
   (use -bps or -nobps commandline option for run-time method selection)
   -bps gives better sync for vbr mp3 audio, it is now default */
#define AVI_SYNC_BPS

/* Undefine this if you want soundcard-only timing by default:
   You can still change this with the -alsa or -noalsa command-line option!
   (This function was originally impemented to solve ALSA driver's big
   buffer problems, but it seems to be useful for every soundcard drivers) */
#define ALSA_TIMER

/* Undefine this if you don't want to select mono audio (left or right)
   with a stereo MPEG layer 2/3 audio stream. The command-line option
   -stereo has three possible values (0 for stereo, 1 for left-only, 2 for
   right-only), with 0 being the default.
   */
#define USE_FAKE_MONO

/* Undefine this if your soundcard driver has no working select().
   If you have kernel Oops, player hangups, or just no audio, you should
   try to recompile MPlayer with this option disabled! */
#define HAVE_AUDIO_SELECT

/* XMMP support: (test code) */
#undef USE_XMMP_AUDIO
#define LIBDIR "/usr/local/lib"
#define PLUGINDIR LIBDIR "/xmmp/Plugins"
#define XMMP_AUDIO_DRIVER PLUGINDIR "/Sound/oss.so"

/* set up max. outburst. use 65536 for ALSA 0.5, for others 16384 is enough */
#define MAX_OUTBURST 65536

/* set up audio OUTBURST. Do not change this! */
#ifdef USE_XMMP_AUDIO
#define OUTBURST 4096
#else
//#define OUTBURST 1024
#define OUTBURST 512
#endif

/* Define this if your system has the header file for the OSS sound interface */
#define HAVE_SYS_SOUNDCARD_H 1

/* Define this if your system has the "malloc.h" header file */
#define HAVE_MALLOC_H 1

/* memalign is mapped to malloc here, if unsupported */
/* #define memalign(a,b) malloc(b) */
#define HAVE_MEMALIGN 1

/* Define this if your system has the "alloca.h" header file */
#define HAVE_ALLOCA_H 1

/* Define this if your system has the "sys/mman.h" header file */
#define HAVE_SYS_MMAN_H 1


/* Define this if you have the elf dynamic linker -ldl library */
#define HAVE_LIBDL 1

/* Define this if you have the kstat kernel statistics library */
#undef HAVE_LIBKSTAT

/* LIRC (remote control, see www.lirc.org) support: */
#undef HAVE_LIRC

/* DeCSS support using libcss */
#undef HAVE_LIBCSS

/* Define this to enable MPEG 1/2 image postprocessing (requires FAST cpu!) */
#define MPEG12_POSTPROC

/* Win32 DLL support */
#define USE_WIN32DLL 1

/* DirectShow support */
#define USE_DIRECTSHOW

/* ffmpeg's libavcodec support (requires libavcodec source) */
#undef USE_LIBAVCODEC
/* use only decoders from libavcodec: */
#define CONFIG_DECODERS

/* Use 3dnow/mmxext/sse/mmx optimized fast memcpy() [maybe buggy... signal 4]*/
#define USE_FASTMEMCPY

/* gui support, please do not edit this option */
#undef HAVE_GUI
#define PREFIX "/usr/local"

/* Audio lib drivers */
#define USE_OSS_AUDIO
#define HAVE_ALSA5
#undef HAVE_ALSA9
#undef HAVE_ESD
#undef USE_SUN_AUDIO

/* Enable fast OSD/SUB renderer (looks ugly, but uses less CPU power) */
#undef FAST_OSD
#undef FAST_OSD_TABLE

/* Define if your processor stores words with the most significant
   byte first (like Motorola and SPARC, unlike Intel and VAX).  */
#undef WORDS_BIGENDIAN

#define ARCH_X86 1



/* Define this to any prefered value from 386 up to infinity with step 100 */
#define __CPU__ 686

#ifdef sun
#define	DEFAULT_CDROM_DEVICE	"/vol/dev/aliases/cdrom0"
#define DEFAULT_DVD_DEVICE	DEFAULT_CDROM_DEVICE
#else
#define DEFAULT_CDROM_DEVICE    "/dev/cdrom"
#define DEFAULT_DVD_DEVICE	"/dev/dvd"
#endif


/*----------------------------------------------------------------------------
**
** NOTE: Instead of modifying these definitions here, use the
**       --enable/--disable options of the ./configure script!
**       See ./configure --help for details.
**
*---------------------------------------------------------------------------*/

/* termcap flag for getch2.c */
#define USE_TERMCAP

/* enable PNG support */
#define HAVE_PNG

/* enable OggVorbis support */
#define HAVE_OGGVORBIS

#undef STREAMING

/* Extension defines */
#undef HAVE_3DNOW   // only define if you have 3DNOW (AMD k6-2, AMD Athlon, iDT WinChip, etc.)
#undef HAVE_3DNOWEX // only define if you have 3DNOWEX (AMD Athlon, etc.)
#define HAVE_MMX      // only define if you have MMX (newer x86 chips, not P54C/PPro)
#undef HAVE_MMX2     // only define if you have MMX2 (Athlon/PIII/4/CelII)
#undef HAVE_SSE     // only define if you have SSE (Intel Pentium III/4 or Celeron II)

#ifdef HAVE_MMX
#define USE_MMX_IDCT
#endif

#undef HAVE_MLIB  // Sun mediaLib, available only on solaris

/* libmpeg2 uses a different feature test macro for mediaLib */
#ifdef HAVE_MLIB
#define	LIBMPEG2_MLIB
#endif

/* libvo options */
#define SCREEN_SIZE_X 1
#define SCREEN_SIZE_Y 1
#define HAVE_X11
#define HAVE_XV
#define HAVE_XF86VM
#define HAVE_GL
#define HAVE_DGA
#define HAVE_DGA2
#define HAVE_SDL
/* defined for SDLlib with keyrepeat bugs (before 1.2.1) */
#undef BUGGY_SDL
#define HAVE_GGI
#undef HAVE_3DFX
#undef HAVE_MGA
#undef HAVE_XMGA
#undef HAVE_SYNCFB
#define HAVE_FBDEV
#define HAVE_SVGALIB
#undef HAVE_XDPMS
#define HAVE_AA

/* used by GUI: */
#define HAVE_XSHAPE

#if defined(HAVE_GL)||defined(HAVE_X11)||defined(HAVE_XV)
#define X11_FULLSCREEN
#endif

